文档首页> 微服务引擎 CSE> 开发指南> 附录> Java Chassis版本升级参考
更新时间:2023-01-05 GMT+08:00
分享

Java Chassis版本升级参考

  • 使用2.1.3版本之前的Java Chassis接入ServiceComb引擎。
    1. 需要额外引入CSE SDK。 引入CSE SDK使用如下Maven Dependency Management:
          <dependencyManagement>
              <dependencies>
                  <dependency>
                      <groupId>com.huawei.paas.cse</groupId>
                      <artifactId>cse-dependency</artifactId>
                      <version>版本号</version>
                      <type>pom</type>
                      <scope>import</scope>
                  </dependency>
              </dependencies>
          </dependencyManagement>
    2. 并引入依赖:
      <dependency>
          <groupId>com.huawei.paas.cse</groupId>
          <artifactId>cse-solution-service-engine</artifactId>
      </dependency>

      引入CSE SDK,Maven Settings需要增加额外的仓库:

          <repositories>    
              <repository>    
                  <snapshots>    
                      <enabled>false</enabled>    
                  </snapshots>    
                  <id>huaweicloudsdk-releases</id>    
                  <name>huaweicloudsdk</name>    
                  <url>https://repo.huaweicloud.com/repository/maven/huaweicloudsdk/</url>    
              </repository>    
          </repositories>
  • 升级到2.1.3及以上版本。
    1. 需要修改Maven Dependency Management:
       <dependencyManagement>
          <dependencies>
            <dependency>
              <groupId>org.apache.servicecomb</groupId>
              <artifactId>java-chassis-dependencies</artifactId>
              <version>${java-chassis.version}</version>
              <type>pom</type>
              <scope>import</scope>
            </dependency>
          </dependencies>
        </dependencyManagement>
    2. 并引入依赖:
      <dependency>
          <groupId>org.apache.servicecomb</groupId>
          <artifactId>solution-basic</artifactId>
      </dependency>
      <dependency>
          <groupId>org.apache.servicecomb</groupId>
          <artifactId>servicestage-environment</artifactId>
      </dependency>

      如果依赖了其他groupId为com.huawei.paas.cse的软件包,删除即可。2.1.3之后,所有软件包可以从Maven中央库获取,不需要额外配置Maven仓库。

分享:

    相关文档

    相关产品